## NMSettingWireless

NMSettingWireless

## Synopsis

    #define             NM_SETTING_WIRELESS_SETTING_NAME
    enum                NMSettingWirelessError;
    #define             NM_TYPE_SETTING_WIRELESS_ERROR
    #define             NM_SETTING_WIRELESS_ERROR
    GQuark              nm_setting_wireless_error_quark     (void);
    #define             NM_SETTING_WIRELESS_SSID
    #define             NM_SETTING_WIRELESS_MODE
    #define             NM_SETTING_WIRELESS_BAND
    #define             NM_SETTING_WIRELESS_CHANNEL
    #define             NM_SETTING_WIRELESS_BSSID
    #define             NM_SETTING_WIRELESS_RATE
    #define             NM_SETTING_WIRELESS_TX_POWER
    #define             NM_SETTING_WIRELESS_MAC_ADDRESS
    #define             NM_SETTING_WIRELESS_MTU
    #define             NM_SETTING_WIRELESS_SEEN_BSSIDS
    #define             NM_SETTING_WIRELESS_SEC
                        NMSettingWireless;
    GType               nm_setting_wireless_get_type        (void);
    NMSetting*          nm_setting_wireless_new             (void);
    const GByteArray*   nm_setting_wireless_get_ssid        (NMSettingWireless *setting);
    const char*         nm_setting_wireless_get_mode        (NMSettingWireless *setting);
    const char*         nm_setting_wireless_get_band        (NMSettingWireless *setting);
    guint32             nm_setting_wireless_get_channel     (NMSettingWireless *setting);
    const GByteArray*   nm_setting_wireless_get_bssid       (NMSettingWireless *setting);
    guint32             nm_setting_wireless_get_rate        (NMSettingWireless *setting);
    guint32             nm_setting_wireless_get_tx_power    (NMSettingWireless *setting);
    const GByteArray*   nm_setting_wireless_get_mac_address (NMSettingWireless *setting);
    guint32             nm_setting_wireless_get_mtu         (NMSettingWireless *setting);
    const char*         nm_setting_wireless_get_security    (NMSettingWireless *setting);
    gboolean            nm_setting_wireless_add_seen_bssid  (NMSettingWireless *setting,
                                                             const char *bssid);
    guint32             nm_setting_wireless_get_num_seen_bssids
                                                            (NMSettingWireless *setting);
    const char*         nm_setting_wireless_get_seen_bssid  (NMSettingWireless *setting,
                                                             guint32 i);
    gboolean            nm_setting_wireless_ap_security_compatible
                                                            (NMSettingWireless *s_wireless,
                                                             NMSettingWirelessSecurity *s_wireless_sec,
                                                             guint32 ap_flags,
                                                             guint32 ap_wpa,
                                                             guint32 ap_rsn,
                                                             guint32 ap_mode);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingWireless

## Properties

      "band"                     gchararray            : Read / Write
      "channel"                  guint                 : Read / Write
      "mode"                     gchararray            : Read / Write
      "mtu"                      guint                 : Read / Write
      "rate"                     guint                 : Read / Write
      "security"                 gchararray            : Read / Write
      "tx-power"                 guint                 : Read / Write

## Description

## Details

### NM_SETTING_WIRELESS_SETTING_NAME

    #define NM_SETTING_WIRELESS_SETTING_NAME "802-11-wireless"

### enum NMSettingWirelessError

    typedef enum
    {
    	NM_SETTING_WIRELESS_ERROR_UNKNOWN = 0,
    	NM_SETTING_WIRELESS_ERROR_INVALID_PROPERTY,
    	NM_SETTING_WIRELESS_ERROR_MISSING_PROPERTY,
    	NM_SETTING_WIRELESS_ERROR_MISSING_SECURITY_SETTING,
    	NM_SETTING_WIRELESS_ERROR_CHANNEL_REQUIRES_BAND
    } NMSettingWirelessError;

### NM_TYPE_SETTING_WIRELESS_ERROR

    #define NM_TYPE_SETTING_WIRELESS_ERROR (nm_setting_wireless_error_get_type ())

### NM_SETTING_WIRELESS_ERROR

    #define NM_SETTING_WIRELESS_ERROR nm_setting_wireless_error_quark ()

### nm_setting_wireless_error_quark ()

    GQuark              nm_setting_wireless_error_quark     (void);

Returns : |

### NM_SETTING_WIRELESS_SSID

    #define NM_SETTING_WIRELESS_SSID        "ssid"

### NM_SETTING_WIRELESS_MODE

    #define NM_SETTING_WIRELESS_MODE        "mode"

### NM_SETTING_WIRELESS_BAND

    #define NM_SETTING_WIRELESS_BAND        "band"

### NM_SETTING_WIRELESS_CHANNEL

    #define NM_SETTING_WIRELESS_CHANNEL     "channel"

### NM_SETTING_WIRELESS_BSSID

    #define NM_SETTING_WIRELESS_BSSID       "bssid"

### NM_SETTING_WIRELESS_RATE

    #define NM_SETTING_WIRELESS_RATE        "rate"

### NM_SETTING_WIRELESS_TX_POWER

    #define NM_SETTING_WIRELESS_TX_POWER    "tx-power"

### NM_SETTING_WIRELESS_MAC_ADDRESS

    #define NM_SETTING_WIRELESS_MAC_ADDRESS "mac-address"

### NM_SETTING_WIRELESS_MTU

    #define NM_SETTING_WIRELESS_MTU         "mtu"

### NM_SETTING_WIRELESS_SEEN_BSSIDS

    #define NM_SETTING_WIRELESS_SEEN_BSSIDS "seen-bssids"

### NM_SETTING_WIRELESS_SEC

    #define NM_SETTING_WIRELESS_SEC         "security"

### NMSettingWireless

    typedef struct _NMSettingWireless NMSettingWireless;

### nm_setting_wireless_get_type ()

    GType               nm_setting_wireless_get_type        (void);

Returns : |

### nm_setting_wireless_new ()

    NMSetting*          nm_setting_wireless_new             (void);

Returns : |

### nm_setting_wireless_get_ssid ()

    const GByteArray*   nm_setting_wireless_get_ssid        (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_mode ()

    const char*         nm_setting_wireless_get_mode        (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_band ()

    const char*         nm_setting_wireless_get_band        (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_channel ()

    guint32             nm_setting_wireless_get_channel     (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_bssid ()

    const GByteArray*   nm_setting_wireless_get_bssid       (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_rate ()

    guint32             nm_setting_wireless_get_rate        (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_tx_power ()

    guint32             nm_setting_wireless_get_tx_power    (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_mac_address ()

    const GByteArray*   nm_setting_wireless_get_mac_address (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_mtu ()

    guint32             nm_setting_wireless_get_mtu         (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_security ()

    const char*         nm_setting_wireless_get_security    (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_add_seen_bssid ()

    gboolean            nm_setting_wireless_add_seen_bssid  (NMSettingWireless *setting,
                                                             const char *bssid);

`setting` : |
`bssid` : |
Returns : |

### nm_setting_wireless_get_num_seen_bssids ()

    guint32             nm_setting_wireless_get_num_seen_bssids
                                                            (NMSettingWireless *setting);

`setting` : |
Returns : |

### nm_setting_wireless_get_seen_bssid ()

    const char*         nm_setting_wireless_get_seen_bssid  (NMSettingWireless *setting,
                                                             guint32 i);

`setting` : |
`i` : |
Returns : |

### nm_setting_wireless_ap_security_compatible ()

    gboolean            nm_setting_wireless_ap_security_compatible
                                                            (NMSettingWireless *s_wireless,
                                                             NMSettingWirelessSecurity *s_wireless_sec,
                                                             guint32 ap_flags,
                                                             guint32 ap_wpa,
                                                             guint32 ap_rsn,
                                                             guint32 ap_mode);

`s_wireless` : |
`s_wireless_sec` : |
`ap_flags` : |
`ap_wpa` : |
`ap_rsn` : |
`ap_mode` : |
Returns : |

## Property Details

### The `"band"` property

      "band"                     gchararray            : Read / Write

Band.

Default value: NULL

### The `"channel"` property

      "channel"                  guint                 : Read / Write

Channel.

Default value: 0

### The `"mode"` property

      "mode"                     gchararray            : Read / Write

Mode.

Default value: NULL

### The `"mtu"` property

      "mtu"                      guint                 : Read / Write

MTU.

Default value: 0

### The `"rate"` property

      "rate"                     guint                 : Read / Write

Rate.

Default value: 0

### The `"security"` property

      "security"                 gchararray            : Read / Write

Security.

Default value: NULL

### The `"tx-power"` property

      "tx-power"                 guint                 : Read / Write

TX Power.

Default value: 0